SDL_CreateSurfaceFrom(3)

NAME
SDL_CreateSurfaceFrom - Allocate a new surface with a specific pixel format and existing pixel data.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface * SDL_CreateSurfaceFrom(int width, int height, SDL_PixelFormat format, void *pixels, int pitch);

DESCRIPTION
No copy is made of the pixel data. Pixel data is not managed automatically; you must free the surface before you free the pixel data.

Pitch is the offset in bytes from one row of pixels to the next, e.g. width*4 for SDL_PIXELFORMAT_RGBA8888 .

You may pass NULL for pixels and 0 for pitch to create a surface that you will fill in with valid values later.

FUNCTION PARAMETERS

width
    the width of the surface.

height
    the height of the surface.

format
    the SDL_PixelFormat
     for the new surface's pixel format.

pixels
    a pointer to existing pixel data.

pitch
    the number of bytes between each row, including padding.

RETURN VALUE
( SDL_Surface
 *) Returns the new SDL_Surface

structure that is created or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateSurface(3), •(3), SDL_DestroySurface(3)